### Function

# Ggit RemoteListCallback

#### Declaration

    gint
    (* GgitRemoteListCallback) (
      const gchar* name,
      GgitOId* oid,
      GgitOId* loid,
      gboolean local,
      gpointer user_data
    )

#### Description [src]

The type of the callback functions for listing the references of a `GgitRemote`. See ggit_remote_list().

#### Parameters

`name`

  Type: `const gchar*`

  The name of the reference.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`oid`

  Type: `GgitOId`

  The reference’s oid.

  The data is owned by the caller of the function.

`loid`

  Type: `GgitOId`

  The reference’s loid.

  The data is owned by the caller of the function.

`local`

  Type: `gboolean`

  If available locally.

`user_data`

  Type: `gpointer`

  User-supplied data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

0 to go continue or a `GgitError` in case there was an error.